Loading...
Searching...
No Matches
hierarchicallagrangebasis.hh File Reference
`#include <type_traits>`
`#include <dune/common/exceptions.hh>`
`#include <dune/localfunctions/hierarchical/hierarchicalp2.hh>`
`#include <dune/functions/functionspacebases/nodes.hh>`
`#include <dune/functions/functionspacebases/defaultglobalbasis.hh>`
`#include <dune/functions/functionspacebases/lfeprebasismixin.hh>`
`#include <dune/geometry/type.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::HierarchicalLagrangePreBasis< GV, 1, R >
class | Dune::Functions::HierarchicalLagrangePreBasis< GV, 2, R >

## Namespaces

namespace | Dune
namespace | Dune::Functions
namespace | Dune::Functions::BasisFactory

## Typedefs

template<typename GV, int k, typename R = double>
using | Dune::Functions::HierarchicalLagrangeBasis = DefaultGlobalBasis<HierarchicalLagrangePreBasis<GV, k, R> >
| Basis of a scalar Hierarchical Lagrange finite element space.

## Functions

template<int k, typename R = double>
auto | Dune::Functions::BasisFactory::hierarchicalLagrange ()
| A factory that can create a HierarchicalLagrange pre-basis.